"use strict";
/**
 * Use type guards to narrow down types with minimal efforts.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isWsOrderbookEventV5 = void 0;
/**
 * Type guard to detect a V5 orderbook event (delta & snapshots)
 *
 * @param event
 * @returns
 */
function isWsOrderbookEventV5(event) {
    if (typeof event !== 'object' ||
        !event ||
        typeof event['topic'] !== 'string' ||
        typeof event['type'] !== 'string') {
        return false;
    }
    return (['delta', 'snapshot'].includes(event['type']) &&
        event['topic'].startsWith('orderbook'));
}
exports.isWsOrderbookEventV5 = isWsOrderbookEventV5;
//# sourceMappingURL=typeGuards.js.map